"use strict";(self.webpackChunkof_dl=self.webpackChunkof_dl||[]).push([[962],{6604:(e,n,o)=>{o.r(n),o.d(n,{assets:()=>c,contentTitle:()=>d,default:()=>h,frontMatter:()=>l,metadata:()=>r,toc:()=>s});var i=o(4848),t=o(8453);const l={sidebar_position:2},d="Docker",r={id:"installation/docker",title:"Docker",description:"Running OF-DL",source:"@site/docs/installation/docker.md",sourceDirName:"installation",slug:"/installation/docker",permalink:"/OF-DL/docs/installation/docker",draft:!1,unlisted:!1,tags:[],version:"current",sidebarPosition:2,frontMatter:{sidebar_position:2},sidebar:"generatedSidebar",previous:{title:"Windows",permalink:"/OF-DL/docs/installation/windows"},next:{title:"Linux",permalink:"/OF-DL/docs/installation/linux"}},c={},s=[{value:"Running OF-DL",id:"running-of-dl",level:2},{value:"Updating OF-DL",id:"updating-of-dl",level:2},{value:"Building the Docker Image (Optional)",id:"building-the-docker-image-optional",level:2}];function a(e){const n={a:"a",code:"code",h1:"h1",h2:"h2",li:"li",ol:"ol",p:"p",pre:"pre",ul:"ul",...(0,t.R)(),...e.components};return(0,i.jsxs)(i.Fragment,{children:[(0,i.jsx)(n.h1,{id:"docker",children:"Docker"}),"\n",(0,i.jsx)(n.h2,{id:"running-of-dl",children:"Running OF-DL"}),"\n",(0,i.jsx)(n.p,{children:"To run OF-DL in a docker container, follow these steps:"}),"\n",(0,i.jsxs)(n.ol,{children:["\n",(0,i.jsx)(n.li,{children:"Install Docker Desktop (Windows, macOS) or Docker Engine (Linux) and launch it"}),"\n",(0,i.jsx)(n.li,{children:"Open your terminal application of choice (macOS Terminal, GNOME Terminal, etc.)"}),"\n",(0,i.jsxs)(n.li,{children:["Create two directories, one called ",(0,i.jsx)(n.code,{children:"config"})," and one called ",(0,i.jsx)(n.code,{children:"data"}),".","\n",(0,i.jsxs)(n.ul,{children:["\n",(0,i.jsxs)(n.li,{children:["An example might be:","\n",(0,i.jsx)(n.pre,{children:(0,i.jsx)(n.code,{className:"language-bash",children:"mkdir -p $HOME/ofdl/config $HOME/ofdl/data\n"})}),"\n","Adjust ",(0,i.jsx)(n.code,{children:"$HOME/ofdl"})," as desired (including in the commands below) if you want the files stored elsewhere."]}),"\n"]}),"\n"]}),"\n",(0,i.jsxs)(n.li,{children:["Run the following command to start the docker container:","\n",(0,i.jsx)(n.pre,{children:(0,i.jsx)(n.code,{className:"language-bash",children:"docker run --rm -it -v $HOME/ofdl/data/:/data -v $HOME/ofdl/config/:/config -p 8080:8080 git.ofdl.tools/sim0n00ps/of-dl:latest\n"})}),"\n","If ",(0,i.jsx)(n.code,{children:"config.json"})," and/or ",(0,i.jsx)(n.code,{children:"rules.json"})," don't exist in the ",(0,i.jsx)(n.code,{children:"config"})," directory, files with default values will be created when you run the docker container.\nIf you have your own Widevine keys, those files should be placed under ",(0,i.jsx)(n.code,{children:"$HOME/ofdl/config/cdm/devices/chrome_1610/"}),"."]}),"\n",(0,i.jsxs)(n.li,{children:["OF-DL needs to be authenticated with your OnlyFans account. When prompted, open ",(0,i.jsx)(n.a,{href:"http://localhost:8080",children:"http://localhost:8080"})," in a web browser to log in to your OnlyFans account."]}),"\n"]}),"\n",(0,i.jsx)(n.h2,{id:"updating-of-dl",children:"Updating OF-DL"}),"\n",(0,i.jsx)(n.p,{children:"When a new version of OF-DL is released, you can download the latest docker image by executing:"}),"\n",(0,i.jsx)(n.pre,{children:(0,i.jsx)(n.code,{className:"language-bash",children:"docker pull git.ofdl.tools/sim0n00ps/of-dl:latest\n"})}),"\n",(0,i.jsxs)(n.p,{children:["You can then run the new version of OF-DL by executing the ",(0,i.jsx)(n.code,{children:"docker run"})," command in the ",(0,i.jsx)(n.a,{href:"#running-of-dl",children:"Running OF-DL"})," section above."]}),"\n",(0,i.jsx)(n.h2,{id:"building-the-docker-image-optional",children:"Building the Docker Image (Optional)"}),"\n",(0,i.jsxs)(n.p,{children:["Since official docker images are provided for OF-DL through Gitea (git.ofdl.tools), you do not need to build the docker image yourself.\nIf you would like to build the docker image yourself, however, start by cloning the OF-DL repository and opening a terminal in the root directory of the repository.\nThen, execute the following command while replacing ",(0,i.jsx)(n.code,{children:"x.x.x"})," with the current version of OF-DL:"]}),"\n",(0,i.jsx)(n.pre,{children:(0,i.jsx)(n.code,{className:"language-bash",children:'VERSION="x.x.x" docker build --build-arg VERSION=$VERSION -t of-dl .\n'})}),"\n",(0,i.jsxs)(n.p,{children:["You can then run a container using the image you just built by executing the ",(0,i.jsx)(n.code,{children:"docker run"})," command in the\n",(0,i.jsx)(n.a,{href:"#running-of-dl",children:"Running OF-DL"})," section above while replacing ",(0,i.jsx)(n.code,{children:"git.ofdl.tools/sim0n00ps/of-dl:latest"})," with ",(0,i.jsx)(n.code,{children:"of-dl"}),"."]})]})}function h(e={}){const{wrapper:n}={...(0,t.R)(),...e.components};return n?(0,i.jsx)(n,{...e,children:(0,i.jsx)(a,{...e})}):a(e)}},8453:(e,n,o)=>{o.d(n,{R:()=>d,x:()=>r});var i=o(6540);const t={},l=i.createContext(t);function d(e){const n=i.useContext(l);return i.useMemo((function(){return"function"==typeof e?e(n):{...n,...e}}),[n,e])}function r(e){let n;return n=e.disableParentContext?"function"==typeof e.components?e.components(t):e.components||t:d(e.components),i.createElement(l.Provider,{value:n},e.children)}}}]);